ClientPost (gCube Social Networking Library 1.16.1-SNAPSHOT API)
Date: 2019-10-09

org.gcube.portal.databook.shared

## Class ClientPost

- java.lang.Object
- - org.gcube.portal.databook.shared.ClientPost

-     @JsType(isNative=true,
              namespace="<global>",
              name="Object")
      public class ClientPost
      extends Object

  Author:
    Massimiliano Assante, CNR-ISTI Uses JsInterop annotations to deserialize the object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ClientAttachment[]` | `attachments`
    `String` | `description`
    `String` | `email`
    `String` | `fullName`
    `String` | `key`
    `String` | `linkDescription`
    `String` | `linkHost`
    `String` | `linkTitle`
    `String` | `linkUrlThumbnail`
    `String` | `thumbnailURL`
    `Date` | `time`
    `String` | `type`
    `String` | `uri`
    `String` | `userid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientPost()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientPost` | `create(String key, String type, String userid, Date time, String uri, String description, String fullName, String email, String thumbnailURL, String linkTitle, String linkDescription, String linkUrlThumbnail, String linkHost, ClientAttachment[] attachments)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public String key

    - #### type

          public String type

    - #### userid

          public String userid

    - #### time

          public Date time

    - #### uri

          public String uri

    - #### description

          public String description

    - #### fullName

          public String fullName

    - #### email

          public String email

    - #### thumbnailURL

          public String thumbnailURL

    - #### linkTitle

          public String linkTitle

    - #### linkDescription

          public String linkDescription

    - #### linkUrlThumbnail

          public String linkUrlThumbnail

    - #### linkHost

          public String linkHost

    - #### attachments

          public ClientAttachment[] attachments

  - ### Constructor Detail

    - #### ClientPost

          public ClientPost()

  - ### Method Detail

    - #### create

          @JsOverlay
          public static ClientPost create(String key,
                                                     String type,
                                                     String userid,
                                                     Date time,
                                                     String uri,
                                                     String description,
                                                     String fullName,
                                                     String email,
                                                     String thumbnailURL,
                                                     String linkTitle,
                                                     String linkDescription,
                                                     String linkUrlThumbnail,
                                                     String linkHost,
                                                     ClientAttachment[] attachments)

Copyright © 2019. All Rights Reserved.